Type to search.

Clear the archived repositories metering

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 7.16 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Clear the archived repositories metering information in the cluster.

Required privileges

Cluster privileges monitor manage

Path parameters

node_id union string | string[] required

Comma-separated list of node IDs or names used to limit returned information.

max_archive_version number required

Specifies the maximum archive_version to be cleared from the archive.

Response

application/json
cluster_name string required

Name of the cluster. Based on the cluster.name setting.

nodes map string to object required

Contains repositories metering information for the nodes selected by the request.

<string> object
repository_name string required

Repository name.

repository_type string required

Repository type.

repository_location object required

Represents an unique location within the repository.

base_path string required
container string

Container name (Azure)

bucket string

Bucket name (GCP, S3)

repository_ephemeral_id string required

An identifier that changes every time the repository is updated.

repository_started_at number required

Time the repository was created or updated. Recorded in milliseconds since the Unix Epoch.

repository_stopped_at number

Time the repository was deleted or updated. Recorded in milliseconds since the Unix Epoch.

archived boolean required

A flag that tells whether or not this object has been archived. When a repository is closed or updated the repository metering information is archived and kept for a certain period of time. This allows retrieving the repository metering information of previous repository instantiations.

cluster_version number

The cluster state version when this object was archived, this field can be used as a logical timestamp to delete all the archived metrics up to an observed version. This field is only present for archived repository metering information objects. The main purpose of this field is to avoid possible race conditions during repository metering information deletions, i.e. deleting archived repositories metering information that we haven’t observed yet.

request_counts object required

An object with the number of request performed against the repository grouped by request type.

GetBlobProperties number

Number of Get Blob Properties requests (Azure)

GetBlob number

Number of Get Blob requests (Azure)

ListBlobs number

Number of List Blobs requests (Azure)

PutBlob number

Number of Put Blob requests (Azure)

PutBlock number

Number of Put Block (Azure)

PutBlockList number

Number of Put Block List requests

GetObject number

Number of get object requests (GCP, S3)

ListObjects number

Number of list objects requests (GCP, S3)

InsertObject number

Number of insert object requests, including simple, multipart and resumable uploads. Resumable uploads can perform multiple http requests to insert a single object but they are considered as a single request since they are billed as an individual operation. (GCP)

PutObject number

Number of PutObject requests (S3)

PutMultipartObject number

Number of Multipart requests, including CreateMultipartUpload, UploadPart and CompleteMultipartUpload requests (S3)